Edit widget: Value Map do not keep the order in which values are entered

2016-11-30 07:20 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23832

Description

Layer Properties --> Fields --> Edit Widget

Select value map and enter values and descriptions to use

When back to the feature form, the "value mapped field" combobox is sorted alphabetically based on the description field. This can lead to

errors if the user, confident on the order in which he enters the mapped values, do not pay attention to what QGIS shows him in the

combobox.

If you reopen the Edit widget dialog, values are also sorted according to description column.

This should not be.

When someone enters a list of mapped values, he expects to have them in the same order. The order of description most of the time has

nothing to do with alphabets.

Proposal: either allow sorting based on any of the two colums (click on the header as in attribute table) or disable the current automatic

and blind sorting and use order of entries

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-01-29 04:41 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

- Description updated

Duplicate of #15057
